# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free

Name:           svnkit
Version:        1.1.4
Release:        1%{?dist}
Epoch:          0
Summary:        SVN Kit
License:        Open Source (BSD-like)
Group:          Development/Java
URL:            http://www.svnkit.com/
Source0:        svnkit-1.1.4.tar.gz
# svn export http://svn.svnkit.com/repos/svnkit/tags/1.1.4/ svnkit-1.1.4 

Source1:        svnkit-jpp-depmap.xml
Source2:        svnkit-settings.xml
Source3:        svnkit-1.1.4.pom
Source4:        svnkit-cli-1.1.4.pom

BuildArch:      noarch
Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  maven2 >= 0:2.0.7
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-resources
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Use SVNKit for
- Subversion clients and IDE integrations
  SVNKit supports all standard Subversion operations, both
  on working copies and repository. It is compatible with all
  versions of Subversion, works over HTTP, SSH, SVN and
  FILE protocols.
- Arbitrary object model versioning
  SVNKit provides API to version virtually any object model
  with standard Subversion repository; there is no need to
  keep anything in the filesystem.
- Server side applications
  SVNKit works with local repositories as well as with remote
  ones - your web application will benefit from direct access
  to repository and will grind data stored in repository in
  the way you need it.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q 
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
ln -sf $(build-classpath junit) contrib/junit/
ln -sf $(build-classpath ganymed-ssh2) contrib/ganymed/ganymed.jar
mv svnkit/src/org/tmatesoft/svn/core/io/repository/template.jar.no \
   svnkit/src/org/tmatesoft/svn/core/io/repository/template.jar

%build
ant

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/lib/svnkit-cli.jar $RPM_BUILD_ROOT%{_javadir}/svnkit-cli-%{version}.jar
install -m 644 build/lib/svnkit.jar $RPM_BUILD_ROOT%{_javadir}/svnkit-%{version}.jar
install -m 644 build/lib/svnkit-javahl.jar $RPM_BUILD_ROOT%{_javadir}/svnkit-javahl-%{version}.jar
%add_to_maven_depmap com.svnkit %{name}-cli %{version} JPP %{name}-cli
%add_to_maven_depmap com.svnkit %{name} %{version} JPP %{name}
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -rf build/doc/javadoc/* \
                  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}/*
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Wed Jun 17 2009 Ralph Apel <r.apel@r-apel.de> - 0:1.1.4-1.jpp5
- first release

